@font-face  {
	font-family: 'witless';
	src: url('/witless.ttf');
}


html {height: 100%; margin: 0; padding: 0}
body {
	height: 100%;
	margin: 0;
	padding: 0;
	background: #000;
	color: #fff;
	text-align: center;
	text-shadow: -1px 0 #000, 0px -1px #000, 1px 0 #000, 0px 1px #000;
	-webkit-touch-callout: none;
	   -moz-touch-callout: none;
		-ms-touch-callout: none;
			touch-callout: none;
	-webkit-user-select: none;
	   -moz-user-select: none;
		-ms-user-select: none;
			user-select: none;}


body, input, textarea {
	cursor: url('/img/cursor.png'), auto;
	font-family: 'witless', arial;
	font-size: 15px;
}
input, textarea {
	background: #444;
	color: #FFD600;
	border: none;
	outline: none;
}
img {pointer-events: none}

.hitmeter {
	width: 200px;
	height: 20px;
	background: #333;
	margin: 0 auto;
	position:relative;
}
.hitmeter .cursor{
	width:5%;
	height:100%;
	background:#f06;
	position:absolute;
}

.button {
	display: inline-block;
	cursor: url('/img/cursor.png'), auto;
	margin: 0 2px;
	padding: 5px;
	border-radius: 5px;
	color: #fff;
	background: rgba(255, 255, 255, 0.5);
	text-decoration: none;
	transition: all .3s;
}
.button:hover {
	background: #fff;
}
.button:hover:active {
	background: rgba(100, 100, 100, 0.4);
	color: rgba(255, 255, 255, 0.7);
}
.button.big {
	font-size: 22px;
}


#wrapper {
	margin: 0 auto;
	width: 100%;
	height: 100%;
	background: #A0ECFF url('/img/rainbow.png') center top no-repeat !important;
	color: #fff;
	position: relative;
	display: table;
	overflow: hidden;
}

	.popup {
		position: absolute;
        z-index: 200;
		right: 0;
        left: 0;
        margin: 0 auto;
		width: 350px; height: 500px;
		background: url('/img/grain.png') rgba(35, 46, 55, 0.9);
		border-radius: 0 0 3px 3px;
		box-shadow: 0 0 1px rgba(255, 255, 255, 1);
		display: none;
	}
		.popup.view {
			display: block;
		}

	#header {
		width: 100%;
		background: rgba(255, 255, 255, 0.3);
		height: 120px;
		display: table;
	}
		#header #menu {margin: 0 auto; clear: both; display: table}
		#header #menu div {float: left}
		#header {display: table}
		#header .button {float: left}
	#game {
		width: 100%;
		height: calc(100% - 180px);
		display: table;
	}
	#footer {
		width: 100%;
		height: 60px;
		position: absolute;
		bottom: 0;
		background: rgba(255, 255, 255, 0.3);
	}


#hud {
	height: 10%;
	width: 100%;
	position: absolute;
	color: #fff;
	font-weight: bold;
	text-align: left;
}
#room {
/*	height: 90%;
	width: 100%;
	position: absolute;
	bottom: 0;	*/
}
.notification {
	float: left;
	font-size: 20px;
}
.hud_bar_container {
	margin: 0 auto;
	width: 450px;
	height: 50px;
	position: relative;
}
.hud_bar {
	background: url('/img/bar.png') no-repeat;
	width: 100%;
	height: 100%;
	position: absolute;
}
.hp_bar {
	height: 20px;
	margin: 15px 72px;
	background: #FF775E;
	position: absolute;
	width: 0;
}
.fade {
	width: 100%;
	height: 100%;
	position: absolute;
	display: block;
	top: 0;
	background: url('/img/scanline.png') rgba(33, 33, 33, .3);
	box-shadow: inset 0 0 5px #FFF;
	opacity: .2;
	pointer-events: none;
	display: none;
}
.char_sel_container {
	width: 100%;
	overflow: hidden;
	background: #29EECE;
}
.char_sel_container .char_sel {
	transition: all .2s ease;
	margin: 0 10px;
}
.char_sel.selected, .char_sel:hover {
	transform: scale(1.5);
	-webkit-transform: scale(1.5);
}
.attack_container {
	width: 100%;
	position: absolute;
	text-align: center;
	bottom: 0;
}
.attack_class_container {
	
}
.attack_item_container {
	padding: 2px;
}
.attack_class {
	width: 96px;
	height: 96px;
	background-image: url('/img/classes.png');
	display: inline-block;
	margin: 0px 5px;
}
.attack_item {
	width: 64px;
	height: 64px;
	display: inline-block;
	margin: 10px 0;
	background-size: 64px 64px;
	background-position: center;
	background-repeat: no-repeat;
}
.character {
position: absolute;
	bottom: 0;
-webkit-animation: head_movement .5s infinite;
-webkit-animation-fill-mode: forwards;
}
.battle_field {
height: 240px;
position: absolute;
bottom: 0;
width: 100%;
}
.player_hud {display: none}
.battle_field .player_hud {display: block}
.opponent {
	right: 0;
}
.me{
	left: 0;
}
.me .player_body{
	-moz-transform: scale(-1, 1);
	-webkit-transform: scale(-1, 1);
	-o-transform: scale(-1, 1);
	-ms-transform: scale(-1, 1);
	transform: scale(-1, 1);
}
/* Chrome, Safari, Opera */
@-webkit-keyframes head_movement
 {
0%    {bottom: 0;}
50%  {bottom: -20px;}
100%  {bottom: 0;}
}


.attack_item:hover {
	color: #0ff;
}
.item_1 {
	background-image: url('/img/items/hammer.png');
}
.item_2 {
	background-image: url('/img/items/sword.png');
}
.item_3 {
	background-image: url('/img/items/branch.png');
}
.item_4 {
	background-image: url('/img/items/branch.png');
}
.item_5 {
	background-image: url('/img/items/branch.png');
}
.item_6 {
	background-image: url('/img/items/shield.png');
}
.item_7 {
	background-image: url('/img/items/grab.png');
}
.attack_class:hover {
	transform: scale(1.1);
	-webkit-transform: scale(1.1);
}
.atk_melee {
	background-position: 0 0;
}
.atk_defence {
	background-position: -96px 0;
}
.atk_special {
	background-position: -195px 0;
}



/*
		/game/room/char_edit.php
									  */
.characterCustomization {margin-left: 120px}
.customizationType {
	width: 380px;
	height: 74px;
	margin-top: 10px;
	padding-left: 6px;
	float: left;
	clear: both;
	background: url('/img/hud.png') no-repeat;
}
.customizationType .charStyle:nth-child(1) {margin-left: -1px}
.charStyle {
	width: 60px; height: 50px;
	float: left;
	color: #fff;
	background: url('/img/hud.png') no-repeat 5px -154px;
	margin-top: 8px;
}
	.charStyle img {
		margin-top: 12px;
		margin-left: 1px;
		height: 26px;
		background: #f00;
	}
	
.customizationColor {
	float: left;
}
.customizationColor .charStyle {
	clear: both;
	display: none;
}
.customizationColor:hover .charStyle,
.customizationColor .charStyle:nth-child(1) {display: block}

.charStyle:hover,.charStyle.selected {background-position: 5px -204px;}
.char_edit {
	width: 500px;
	margin: 0 auto;
}
.char_edit_preview {
	width: 25%;
	display: inline-block;
	float: left;
}
.char_edit_customize {
	width: 75%;
	display: inline-block;
}
.char_edit_footer {
	clear: both;
}
